"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generatePackageJsonLockFile = void 0;
const core_1 = require("@nx-extend/core");
const fs_1 = require("fs");
const generatePackageJsonLockFile = (root, projectName, options) => {
    // If a yarn.lock file exists then use yarn to generate the lock file
    if (fs_1.existsSync(`${root}/yarn.lock`)) {
        core_1.execCommand('yarn generate-lock-entry', {
            cwd: options.outputPath
        });
    }
    else {
        core_1.execCommand('npm i --package-lock-only', {
            cwd: options.outputPath
        });
    }
};
exports.generatePackageJsonLockFile = generatePackageJsonLockFile;
//# sourceMappingURL=generate-package-json-lock-file.js.map